Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.net
Enum AbstractEndpoint.Acceptor.AcceptorState

    java.lang.Object
      java.lang.Enum<AbstractEndpoint.Acceptor.AcceptorState>
          org.apache.tomcat.util.net.AbstractEndpoint.Acceptor.AcceptorState

All Implemented Interfaces:
  Serializable, Comparable<AbstractEndpoint.Acceptor.AcceptorState>

Enclosing class:
  AbstractEndpoint.Acceptor

    public static enum AbstractEndpoint.Acceptor.AcceptorState

extends Enum<AbstractEndpoint.Acceptor.AcceptorState>

Enum Constant Summary
`ENDED`
`NEW`
`PAUSED`
`RUNNING`

Method Summary
`static AbstractEndpoint.Acceptor.AcceptorState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractEndpoint.Acceptor.AcceptorState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEW

    public static final AbstractEndpoint.Acceptor.AcceptorState NEW

### RUNNING

    public static final AbstractEndpoint.Acceptor.AcceptorState RUNNING

### PAUSED

    public static final AbstractEndpoint.Acceptor.AcceptorState PAUSED

### ENDED

    public static final AbstractEndpoint.Acceptor.AcceptorState ENDED

Method Detail

### values

    public static AbstractEndpoint.Acceptor.AcceptorState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractEndpoint.Acceptor.AcceptorState c : AbstractEndpoint.Acceptor.AcceptorState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractEndpoint.Acceptor.AcceptorState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.